Index: logger.c
===================================================================
RCS file: /usr/cvsroot/asterisk/logger.c,v
retrieving revision 1.84
diff -u -r1.84 logger.c
--- logger.c	26 Sep 2005 15:43:16 -0000	1.84
+++ logger.c	30 Sep 2005 20:21:52 -0000
@@ -65,12 +65,16 @@
 
 #define MAX_MSG_QUEUE 200
 
-#if defined(__linux__) && defined(__NR_gettid)
+#if defined (__linux__) && !defined(__NR_gettid)
 #include <asm/unistd.h>
+#endif
+
+#if defined(__linux__) && defined(__NR_gettid)
 #define GETTID() syscall(__NR_gettid)
 #else
 #define GETTID() getpid()
 #endif
+
 
 static char dateformat[256] = "%b %e %T";		/* Original Asterisk Format */
 
